FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 01-12-2008, 12:07 AM
Simon McVittie
 
Default Bug#460323: ITP: unreal-assistant -- Unreal Tournament packaging helper

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: wnpp
Severity: wishlist
Owner: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>


* Package name : unreal-assistant
Version : 0.0
Upstream Author : Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
* URL : http://bzr.debian.org/~smcv-guest/bzr/unreal-assistant
* License : MIT
Programming Lang: sh, perl
Description : Unreal Tournament packaging helper

Unreal Tournament is a first-person shooter by Epic Games and Digital
Extremes. This package contains scripts to construct Debian binary packages
for various parts of the game.
.
You'll need at least the following components:
.
* an Unreal Tournament CD-ROM; currently, this has to be CD 1 from the
initial 2-CD retail version (blue packaging, English/French/Italian/Spanish
languages)
* the Loki Games installer, ut-install-436.run
* the UTPG version 451 patch, UTPGPatch451.tar.bz2
.
This package can also produce Debian binary packages for a number of popular
mods.

Some more explanation: I intend to have a source package
unreal-assistant, building binary packages unreal-assistant
and unrealtournament. The former will be a packaging helper like java-package
and module-assistant; the latter will basically be a metapackage, which
depends on non-distributable packages created using unreal-assistant.

unrealtournament will also contain launcher scripts and man pages (written
by me, so no copyright issues there).

To make this work I'll also have to resurrect umodpack and libconfig-ini-perl
(which were orphaned and removed from the archive some time ago). I might
rename Config::Ini to Umod::Ini and bundle it with umodpack, though, since it's
not really useful except in connection with the Unreal engine (for
ordinary Windows-style ini files it's been superseded by
Config::IniFiles, but Config::Ini has some Unreal-specific functionality
that I'll need).

The non-distributable packages I plan to have so far are:

unrealtournament-bin:
i386 Linux binaries from Loki Games and utpg.org (required)
unrealtournament-data:
data from CD + patch from Loki Games + patch from UTPG (required)
unrealtournament-l10n-{fr,es,it}: French, Spanish, Italian audio and text
unrealtournament-bonuspacks: official bonus packs

unrealtournament-chaosut: ChaosUT
unrealtournament-excessive: Excessive Overkill
unrealtournament-oldskool: Oldskool Amp'd
unrealtournament-operationnapali: Operation Na Pali
unrealtournament-rocketarena: Rocket Arena

unrealtournament-unreal1:
maps and music from an Unreal 1 CD (can be played using Oldskool Amp'd)

- -- System Information:
Debian Release: lenny/sid
APT prefers unstable
APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.23-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiBLBWSc8zVUw7HYRAta4AKDfmM5YquVkB9JlfCQDPH YUGIDCIQCg8jMe
V6hkbH9i13nqg9BH4XM7jE0=
=IXk1
-----END PGP SIGNATURE-----



--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 01-13-2008, 03:12 PM
Philipp Kern
 
Default Bug#460323: ITP: unreal-assistant -- Unreal Tournament packaging helper

On 2008-01-12, Simon McVittie <smcv@ianadd.pseudorandom.co.uk> wrote:
> Some more explanation: I intend to have a source package
> unreal-assistant, building binary packages unreal-assistant
> and unrealtournament. The former will be a packaging helper like java-package
> and module-assistant; the latter will basically be a metapackage, which
> depends on non-distributable packages created using unreal-assistant.

I recall that Gentoo hardmasked (i.e. made it hard to install) the old
Unreal games because they had severe security issues and cannot be
fixed. Apart from that I found it hard to run it on newer kernels,
constant sound chokes and other problems.

Kind regards,
Philipp Kern


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 06:00 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org